<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon"></app-page-title>
<!--<div class="app-page-title">
    <div class="page-title-wrapper">
        <div class="page-title-heading">
            <div class="page-title-icon">
                <i class="icon {{icon}}"></i>
            </div>
            <div>
                {{heading}}
                <div class="page-title-subheading">
                    {{subheading}}
                </div>
            </div>
        </div>
        <div class="page-title-actions">
            <button type="button"
                    class="btn-shadow d-inline-flex align-items-center btn btn-success"
                    (click)="newRecord()">
                <fa class="mr-2" name="plus"></fa>
                Nuevo
            </button>
        </div>
    </div>
</div>-->

<div class="main-card mb-3 card">
  <div class="card-body">

    <div *ngIf="!loading">

      <kendo-grid [data]="dataGrid" [filter]="filter" [filterable]="false" (filterChange)="filterChange($event)"
                  [selectable]="true" [navigable]="true" [reorderable]="true" [resizable]="true" [sort]="sort"
                  [sortable]="true" (sortChange)="sortChange($event)" [groupable]="{ showFooter: true }"
                  [group]="groups"
                  (groupChange)="groupChange($event)" (dataStateChange)="dataStateChange($event)" [height]="510">
        <ng-template kendoGridToolbarTemplate>
          <div class="row">
            <div class="col d-flex justify-content-end">
              <button (click)="getReporte()" class="btn btn-light">
                <i class="fa fa-search mr-2 text-primary"></i>Buscar
              </button>
              <button type="button" (click)="exportPDF()" class="btn btn-light ml-1"
                      [disabled]="!dataGrid.data">
                <i class="fa fa-file-pdf mr-2 text-danger"></i>PDF
              </button>
              <button type="button" (click)="exportExcel()" class="btn btn-light ml-1"
                      [disabled]="!dataGrid.data">
                <i class="fa fa-file-pdf mr-2 text-success"></i>Excel
              </button>
              <button (click)="printTicket()" class="btn btn-light ml-1" [disabled]="!dataGrid.data">
                <i class="fa fa-print mr-2 text-info"></i>Imprimir
              </button>
            </div>
          </div>
          <div class="row" *ngIf="!flagChart">
            <div class="form-group col-4">
              <label for="meseroSelected">Mesero</label>
              <kendo-multiselect [data]="dsMeseros" name="meseroSelected" [(ngModel)]="meseroSelected"
                                 [textField]="'mnombre'" [valueField]="'Mesero'" [valuePrimitive]="true">
              </kendo-multiselect>
            </div>
            <div class="form-group col-3">
              <label for="claseSelected">Clase</label>
              <kendo-multiselect [data]="dsClases" name="claseSelected" [(ngModel)]="claseSelected"
                                 [textField]="'cdesc'" [valueField]="'clase'" [valuePrimitive]="true">
              </kendo-multiselect>
            </div>
            <div class="form-group col-4">
              <label for="puntoSelected">Punto</label>
              <kendo-multiselect name="puntoSelected" [(ngModel)]="puntoSelected" [data]="dsPuntos"
                                 [textField]="'pdesc'" [valueField]="'Punto'" [valuePrimitive]="true">
              </kendo-multiselect>
            </div>
            <div class="form-group col-1">
              <label for="turnoSelected">Turno</label>
              <input type="number" class="form-control" name="turnoSelected" id="turnoSelected"
                     [(ngModel)]="turnoSelected">
            </div>
          </div>
          <div class="animated fadeIn d-flex justify-content-center" *ngIf="flagChart">
            <app-chart-propinas [dataGrid]="dataGrid"></app-chart-propinas>
          </div>
        </ng-template>
        <ng-container *ngIf="!flagChart">
          <kendo-grid-column field="mesero" title="Mesero" [filterable]="true"></kendo-grid-column>
          <kendo-grid-column field="clase" title="Clase" [filterable]="false" media="md"></kendo-grid-column>
          <kendo-grid-column field="punto" title="Punto" [filterable]="true" class="text-right">
          </kendo-grid-column>
          <kendo-grid-column field="turno" title="Turno" [filterable]="true" class="text-right">
          </kendo-grid-column>
          <kendo-grid-column field="tcheq" title="#Cheque" [filterable]="true" class="text-right">
          </kendo-grid-column>
          <kendo-grid-column field="tmesa" title="Mesa" [filterable]="false" media="md"></kendo-grid-column>
          <kendo-grid-column field="tpers" title="Pers." [filterable]="false" class="text-right" media="md">
          </kendo-grid-column>
          <kendo-grid-column field="tprop" title="Servicio" [filterable]="false" class="text-right" width="150">
            <ng-template kendoGridCellTemplate let-dataItem>{{ dataItem.tprop | number:'.2-2' }}</ng-template>
            <ng-container *ngIf="dataGrid.data">
              <ng-template kendoGridGroupFooterTemplate let-group="group" let-aggregates>
                <strong>Sum: {{aggregates["tprop"].sum | number:'.2-2'}}</strong>
              </ng-template>
              <ng-template kendoGridFooterTemplate let-column="column">
                <strong>Total {{column.title}}: {{total["tprop"].sum | number:'.2-2'}}</strong>
              </ng-template>
            </ng-container>
          </kendo-grid-column>
          <kendo-grid-column field="tea" title="E.A." [filterable]="true"></kendo-grid-column>
          <kendo-grid-column field="tope" title="Ope" [filterable]="false" media="md"></kendo-grid-column>
        </ng-container>
      </kendo-grid>

      <div class="divider"></div>

      <kendo-grid [data]="grades">
        <kendo-grid-column field="mesero" title="Mesero"></kendo-grid-column>
        <kendo-grid-column field="monto" title="Monto"></kendo-grid-column>
      </kendo-grid>

    </div>
<app-loading *ngIf="loading"></app-loading>

    <table border="2" id="tbl1" style="display: none;">
      <thead>
      <tr>
        <th>Mesero</th>
        <th>C</th>
        <th>Pun</th>
        <th>#T</th>
        <th>#Cheq.</th>
        <th>Mesa</th>
        <th>Per</th>
        <th>Servicio</th>
        <th>Ope</th>
      </tr>
      </thead>
      <tbody>
      <tr *ngFor="let item of dataGrid.data">
        <td>{{ item.dmeser }}</td>
        <td style="text-align: right;">{{ item.clase }}</td>
        <td>{{ item.punto }}</td>
        <td style="text-align: right;">{{ item.turno }}</td>
        <td>{{ item.tcheq }}</td>
        <td>{{ item.tmesa }}</td>
        <td style="text-align: right;">{{ item.tpers }}</td>
        <td style="text-align: right;">{{ item.tprop  | number:'1.2-2' }}</td>
        <td style="text-align: right;">{{ item.tope }}</td>
      </tr>
      <!-- <tr *ngFor="let item of dataGrid.data">
      <td>{{ item.items.dmeser }}</td>
      <td style="text-align: right;">{{ item.items.clase }}</td>
      <td>{{ item.items.punto }}</td>
      <td style="text-align: right;">{{ item.items.turno }}</td>
      <td>{{ item.items.tcheq }}</td>
      <td>{{ item.items.tmesa }}</td>
      <td style="text-align: right;">{{ item.items.tpers }}</td>
      <td style="text-align: right;">{{ item.aggregates.tprop.sum | number:'1.2-2' }}</td>
      <td style="text-align: right;">{{ item.items.tope }}</td>
  </tr> -->
      </tbody>
    </table>
    <!-- <kendo-window title="Reporte de Propinas" (close)="close('window')" *ngIf="flagChart">
      <div class="animated fadeIn col-6" *ngIf="flagChart">
        <app-chart-propinas [dataGrid]="dataGrid"></app-chart-propinas>
      </div>
    </kendo-window> -->

  </div>
</div>
